/// Deprecated: use CurveFitV2 instead.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CurveFit {
    #[builder(custom(type = super::CurveFitPlotType, convert = Box::new))]
    #[serde(rename = "curveFitPlotType")]
    curve_fit_plot_type: Box<super::CurveFitPlotType>,
    #[builder(custom(type = super::CurveFitDetails, convert = Box::new))]
    #[serde(rename = "curveFitDetails")]
    curve_fit_details: Box<super::CurveFitDetails>,
    #[builder(custom(type = super::CurveFitOptions, convert = Box::new))]
    #[serde(rename = "curveFitOptions")]
    curve_fit_options: Box<super::CurveFitOptions>,
}
impl CurveFit {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        curve_fit_plot_type: super::CurveFitPlotType,
        curve_fit_details: super::CurveFitDetails,
        curve_fit_options: super::CurveFitOptions,
    ) -> Self {
        Self::builder()
            .curve_fit_plot_type(curve_fit_plot_type)
            .curve_fit_details(curve_fit_details)
            .curve_fit_options(curve_fit_options)
            .build()
    }
    #[inline]
    pub fn curve_fit_plot_type(&self) -> &super::CurveFitPlotType {
        &*self.curve_fit_plot_type
    }
    #[inline]
    pub fn curve_fit_details(&self) -> &super::CurveFitDetails {
        &*self.curve_fit_details
    }
    #[inline]
    pub fn curve_fit_options(&self) -> &super::CurveFitOptions {
        &*self.curve_fit_options
    }
}
